<%@ Page Language="C#" %>

<script runat="server">

    protected void Button1_Click(object sender, EventArgs e)
    {
        if (CheckBox1.Checked == true)
        {
            MembershipUser user = Membership.GetUser(TextBox1.Text);
            user.UnlockUser();
        }
        
        if (Membership.ValidateUser(TextBox1.Text, TextBox2.Text))
        {
            Label1.Text = "Jesteś zalogowany!";
        }
        else
        {
            MembershipUser user = Membership.GetUser(TextBox1.Text);
            Label1.Text = "Wartość IsLockedOut: " + user.IsLockedOut.ToString();
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Strona logowania</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Zaloguj użytkownika</h1>
        <p>
            <asp:CheckBox ID="CheckBox1" runat="server" Text="Odblokuj użytkownika" />
        </p>
        <p>
            Nazwa użytkownika<br />
            <asp:TextBox ID="TextBox1" Runat="server"></asp:TextBox>
        </p>
        <p>Hasło<br />
            <asp:TextBox ID="TextBox2" Runat="server" 
             TextMode="Password"></asp:TextBox>
        </p>
        <p>
            <asp:Button ID="Button1" Runat="server" Text="Zaloguj" 
             OnClick="Button1_Click" />
        </p>
        <p>
            <asp:Label ID="Label1" Runat="server"></asp:Label>
        </p>
    </div>
    </form>
</body>
</html>
